## org.apache.hadoop.io.retry
Class RetryPolicies.MultipleLinearRandomRetry.Pair

    java.lang.Object
      org.apache.hadoop.io.retry.RetryPolicies.MultipleLinearRandomRetry.Pair

Enclosing class:
  RetryPolicies.MultipleLinearRandomRetry

    public static class RetryPolicies.MultipleLinearRandomRetry.Pair

extends Object

Pairs of numRetries and sleepSeconds

Constructor Summary
`RetryPolicies.MultipleLinearRandomRetry.Pair(int numRetries, int sleepMillis)`

Method Summary
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RetryPolicies.MultipleLinearRandomRetry.Pair

    public RetryPolicies.MultipleLinearRandomRetry.Pair(int numRetries,
                                                        int sleepMillis)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2009 The Apache Software Foundation